package faqapp;

import java.util.Collection;
import java.util.Date;
import javax.ejb.EJBLocalObject;

/**
 * This is FAQBean's Local Interface
 *
 * These are the public business methods of FAQBean.
 **/
public interface FAQLocal extends EJBLocalObject {
    public Integer getQuestionID();

    public String getQuestion();

    public void setQuestion(String question);

    public String getAnswer();

    public void setAnswer(String answer);

    public boolean getInternalFlag();

    public void setInternalFlag(boolean internalFlag);

    public String getProductVersion();

    public void setProductVersion(String productVersion);

    public String getCreatedBy();

    public void setCreatedBy(String createdBy);

    public Date getCreationDate();

    public void setCreationDate(Date creationDate);

    public String getModifiedBy();

    public void setModifiedBy(String modifiedBy);

    public Date getModificationDate();

    public void setModificationDate(Date modificationDate);

    public Collection getTopics();

    public void setTopics(Collection topic);

    public Collection getAreas();

    public void setAreas(Collection areas);
}
